shortPathName {utils} | R Documentation

## Express File Paths in Short Form on Windows

### Description

Convert file paths to the short form. This is an interface to the Windows API call `GetShortPathNameW`.

### Usage

    shortPathName(path)

### Arguments

`path` | character vector of file paths.

### Details

For most file systems, the short form is the ‘DOS’ form with 8+3 path components and no spaces, and this used to be guaranteed. But some file systems on recent versions of Windows do not have short path names when the long-name path will be returned instead.

### Value

A character vector. The path separator will be `\`. If a file path does not exist, the supplied path will be returned with slashes replaced by backslashes.

### Note

This is only available on Windows.

### See Also

`normalizePath`.

### Examples

    if(.Platform$OS.type == "windows") withAutoprint({

      cat(shortPathName(c(R.home(), tempdir())), sep = "\n")

    })

[Package utils version 3.6.1 Index]